Bug 1292588 - No calendar events in plasma applet
No calendar events in plasma applet
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
24
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 15:55 EST by Petr Bartos
Modified: 2017-08-04 11:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-04 11:54:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Bartos 2015-12-17 15:55:06 EST
I was looking forward to Plasma 5.5 with KDE frameworks 5.17 which should bring back calendar events in plasma applet.
These are now available for Fedora 23 but there are still no events. I guess it's because kdepim is still at version 4.14. Are there any problems with providing appropriate version of kdepim for Fedora 23?
Comment 1 Rex Dieter 2015-12-17 19:24:55 EST
kf5-based kdepim came too late in f23 development cycle and we didn't have enough time to include it.

We're currently targetting f24 (and kdepim5 stuff is already in rawhide for testing).

We will be considering to create a f23 copr at some later date, if possible, for users to opt-in to help test it.
Comment 2 Petr Bartos 2016-07-14 03:49:28 EDT
So now I'm on f24 with frameworks 5.24.0, kdepim 16.04.3, akonadi 16.04.3 and plasma 5.7.1 (which should include agenga view in calendar). However still no events. In calendar plasmoid settings I see the new configuration panel for calendar, however no calendar plugins are available.
Comment 3 Rex Dieter 2016-07-14 09:59:48 EDT
Reassigning to plasma-workspace, I think that's where these calendar plugins need to get built.
Comment 4 Rex Dieter 2016-07-14 10:08:11 EDT
OK, I think this should be fixed when plasma-workspace-5.7.1-2 lands (update coming soon).
Comment 5 Rex Dieter 2016-07-14 11:26:33 EDT
I can confirm 5.7.1-2 build now includes the holiday plugin

are there others?
Comment 6 Fedora Update System 2016-07-14 12:03:24 EDT
bluedevil-5.7.1-1.fc24 breeze-gtk-5.7.1-1.fc24 grub2-breeze-theme-5.7.1-1.fc24 kactivitymanagerd-5.7.1-1.fc24 kde-cli-tools-5.7.1-1.fc24 kde-gtk-config-5.7.1-1.fc24 kdecoration-5.7.1-1.fc24 kdeplasma-addons-5.7.1-1.fc24 kgamma-5.7.1-1.fc24 khotkeys-5.7.1-1.fc24 kinfocenter-5.7.1-1.fc24 kmenuedit-5.7.1-1.fc24 kscreen-5.7.1-1.fc24 kscreenlocker-5.7.1-1.fc24 ksshaskpass-5.7.1-1.fc24 ksysguard-5.7.1-1.fc24 kwayland-integration-5.7.1-1.fc24 kwin-5.7.1-3.fc24 kwrited-5.7.1-1.fc24 libkscreen-qt5-5.7.1-1.fc24 libksysguard-5.7.1-1.fc24 pam-kwallet-5.7.1-1.fc24 plasma-breeze-5.7.1-1.fc24 plasma-desktop-5.7.1-1.fc24 plasma-discover-5.7.1-1.fc24 plasma-integration-5.7.1-1.fc24 plasma-mediacenter-5.7.1-1.fc24 plasma-milou-5.7.1-1.fc24 plasma-nm-5.7.1-1.fc24 plasma-oxygen-5.7.1-1.fc24 plasma-pa-5.7.1-1.fc24 plasma-sdk-5.7.1-1.fc24 plasma-systemsettings-5.7.1-1.fc24 plasma-user-manager-5.7.1-1.fc24 plasma-workspace-5.7.1-2.fc24 plasma-workspace-wallpapers-5.7.1-1.fc24 plymouth-theme-breeze-5.7.1-1.fc24 polkit-kde-5.7.1-1.fc24 powerdevil-5.7.1-1.fc24 sddm-kcm-5.7.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-32d679cfb1
Comment 7 Rex Dieter 2016-07-14 12:46:07 EDT
hrm,

https://dot.kde.org/2016/06/17/kde-plasma-57-beta

says

Plasma 5.7 marks the return of the agenda view in the calendar, which provides a quick and easily accessible overview of upcoming appointments and holidays.


So, I'll keep looking to see where the "appointments" part is supposed to come from.
Comment 8 Petr Bartos 2016-07-14 14:51:13 EDT
Great, after update, holiday events are available. I guess it should be possible to display also events from akonadi resources (like akonadi googlecalendar resource which I have configured via korganizer where events are displayed properly). But I have no idea whether they are already implemented. I did not succeed in enabling this even in latest KDE Neon.
Comment 9 Rex Dieter 2016-07-14 23:15:06 EDT
OK, kdepim upstream confirmed the calendar integration is not released yet, will be included in kdepim-16.08.x (coming in August)
Comment 10 Fedora Update System 2016-07-15 07:53:58 EDT
bluedevil-5.7.1-1.fc24, breeze-gtk-5.7.1-1.fc24, grub2-breeze-theme-5.7.1-1.fc24, kactivitymanagerd-5.7.1-1.fc24, kde-cli-tools-5.7.1-1.fc24, kde-gtk-config-5.7.1-1.fc24, kdecoration-5.7.1-1.fc24, kdeplasma-addons-5.7.1-1.fc24, kgamma-5.7.1-1.fc24, khotkeys-5.7.1-1.fc24, kinfocenter-5.7.1-1.fc24, kmenuedit-5.7.1-1.fc24, kscreen-5.7.1-1.fc24, kscreenlocker-5.7.1-1.fc24, ksshaskpass-5.7.1-1.fc24, ksysguard-5.7.1-1.fc24, kwayland-integration-5.7.1-1.fc24, kwin-5.7.1-3.fc24, kwrited-5.7.1-1.fc24, libkscreen-qt5-5.7.1-1.fc24, libksysguard-5.7.1-1.fc24, pam-kwallet-5.7.1-1.fc24, plasma-breeze-5.7.1-1.fc24, plasma-desktop-5.7.1-1.fc24, plasma-discover-5.7.1-1.fc24, plasma-integration-5.7.1-1.fc24, plasma-mediacenter-5.7.1-1.fc24, plasma-milou-5.7.1-1.fc24, plasma-nm-5.7.1-1.fc24, plasma-oxygen-5.7.1-1.fc24, plasma-pa-5.7.1-1.fc24, plasma-sdk-5.7.1-1.fc24, plasma-systemsettings-5.7.1-1.fc24, plasma-user-manager-5.7.1-1.fc24, plasma-workspace-5.7.1-2.fc24, plasma-workspace-wallpapers-5.7.1-1.fc24, plymouth-theme-breeze-5.7.1-1.fc24, polkit-kde-5.7.1-1.fc24, powerdevil-5.7.1-1.fc24, sddm-kcm-5.7.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-32d679cfb1
Comment 11 Fedora Update System 2016-07-23 14:49:32 EDT
bluedevil-5.7.1-1.fc24, breeze-gtk-5.7.1-1.fc24, grub2-breeze-theme-5.7.1-1.fc24, kactivitymanagerd-5.7.1-1.fc24, kde-cli-tools-5.7.1-1.fc24, kde-gtk-config-5.7.1-1.fc24, kdecoration-5.7.1-1.fc24, kdeplasma-addons-5.7.1-1.fc24, kgamma-5.7.1-1.fc24, khotkeys-5.7.1-1.fc24, kinfocenter-5.7.1-1.fc24, kmenuedit-5.7.1-1.fc24, kscreen-5.7.1-1.fc24, kscreenlocker-5.7.1-1.fc24, ksshaskpass-5.7.1-1.fc24, ksysguard-5.7.1-1.fc24, kwayland-integration-5.7.1-1.fc24, kwin-5.7.1-3.fc24, kwrited-5.7.1-1.fc24, libkscreen-qt5-5.7.1-1.fc24, libksysguard-5.7.1-1.fc24, pam-kwallet-5.7.1-1.fc24, plasma-breeze-5.7.1-1.fc24, plasma-desktop-5.7.1-1.fc24, plasma-discover-5.7.1-1.fc24, plasma-integration-5.7.1-1.fc24, plasma-mediacenter-5.7.1-1.fc24, plasma-milou-5.7.1-1.fc24, plasma-nm-5.7.1-1.fc24, plasma-oxygen-5.7.1-1.fc24, plasma-pa-5.7.1-1.fc24, plasma-sdk-5.7.1-1.fc24, plasma-systemsettings-5.7.1-1.fc24, plasma-user-manager-5.7.1-1.fc24, plasma-workspace-5.7.1-2.fc24, plasma-workspace-wallpapers-5.7.1-1.fc24, plymouth-theme-breeze-5.7.1-1.fc24, polkit-kde-5.7.1-1.fc24, powerdevil-5.7.1-1.fc24, sddm-kcm-5.7.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora End Of Life 2017-07-25 15:39:35 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.